## org.jboss.ejb.plugins
Class LRUEnterpriseContextCachePolicy.ResizerTask

    java.lang.Object
      |
      +--java.util.TimerTask
            |
            +--org.jboss.ejb.plugins.LRUEnterpriseContextCachePolicy.ResizerTask

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  LRUEnterpriseContextCachePolicy

protected class LRUEnterpriseContextCachePolicy.ResizerTask
extends java.util.TimerTask

This TimerTask resizes the cache capacity using the cache miss frequency algorithm, that is the more cache misses we have, the more the cache size is enlarged, and viceversa.

Of course, the maximum and minimum capacity are the bounds that this resizer never passes.

Constructor Summary
`protected` `LRUEnterpriseContextCachePolicy.ResizerTask(long resizerPeriod)`

Method Summary
`void` `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LRUEnterpriseContextCachePolicy.ResizerTask

    protected LRUEnterpriseContextCachePolicy.ResizerTask(long resizerPeriod)

Method Detail

### run

    public void run()

  Overrides:
    `run` in class `java.util.TimerTask`

Copyright © 2000 The JBoss Organization. All Rights Reserved.